#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	shaper = 2;
	colorR = 255;
	colorG = 255;
	colorB = 50;
	colorA = 1;
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
	ofSetColor(colorR,colorG,colorB,colorA);
    ofRect(pos.x, pos.y, shapeHeight,shapeWidth);
	ofCircle(pos.x, pos.y, shapeHeight);
	ofBezier(pos.x, pos.y, pos.x+(shapeWidth/4), pos.y+shapeHeight, pos.x+3*(shapeWidth/4), pos.y+shapeHeight, pos.x+shapeWidth, pos.y);
}


//------------------------------------------------------------------
void rectangle::interpolateByPct(float myPct){
	
	pct = powf(myPct, shaper);
	cout << pct << endl;
	pos.x = (1-pct) * posa.x + (pct) * posb.x;
	pos.y = (1-pct) * posa.y + (pct) * posb.y;
	
	colorR = 3*(1-pct)+(ofRandom(1,50))*shaper;
	colorG = 122*(1-pct)+(ofRandom(1,50))*shaper;
	colorB = 255*(1-pct)+(ofRandom(1,50))*shaper;
	colorA = 1*(1-pct);
	
	shapeHeight = 5*(1-pct);
	shapeWidth = 5*(1-pct);

}